unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, MoneyBox ;

type
  TForm1 = class(TForm)
    MoneyBox1: TMoneyBox;
    MoneyBox2: TMoneyBox;
    MoneyBox3: TMoneyBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Label4: TLabel;
    ListBox1: TListBox;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure MoneyBox1Change(Sender: TObject);
    procedure MoneyBox2Change(Sender: TObject);
    procedure MoneyBox3Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
     Form1.Left := (Screen.Width div 2) - (Form1.Width div 2);
     Form1.Top := (Screen.Height div 2) - (Form1.Height div 2);
     MoneyBox1.Text := '1548.65';
     MoneyBox2.Text := '-578.32';
     MoneyBox3.Text := FloatToStr((MoneyBox1.NumericValue + MoneyBox2.NumericValue));
     Label4.Caption := '';
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
    Label4.Caption := 'Amount - MoneyBox1';
    Listbox1.Items.Clear;
    Listbox1.Items.Add('   ColorNegative          ' + ColorToString(MoneyBox1.ColorNegative));
    Listbox1.Items.Add('   ColorPositive          ' + ColorToString(MoneyBox1.ColorPositive));
    Listbox1.Items.Add('   Format                 ' + MoneyBox1.Format);
    Listbox1.Items.Add('   NumericValue           ' + FloatToStr(MoneyBox1.NumericValue));
    Listbox1.Items.Add('   Text                   ' + MoneyBox1.Text);

end;

procedure TForm1.Button2Click(Sender: TObject);
begin
    Label4.Caption := 'Discount - MoneyBox2';
    Listbox1.Items.Clear;
    Listbox1.Items.Add('   ColorNegative          ' + ColorToString(MoneyBox2.ColorNegative));
    Listbox1.Items.Add('   ColorPositive          ' + ColorToString(MoneyBox2.ColorPositive));
    Listbox1.Items.Add('   Format                 ' + MoneyBox2.Format);
    Listbox1.Items.Add('   NumericValue           ' + FloatToStr(MoneyBox2.NumericValue));
    Listbox1.Items.Add('   Text                   ' + MoneyBox2.Text);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
    Label4.Caption := 'Balance - MoneyBox3';
    Listbox1.Items.Clear;
    Listbox1.Items.Add('   ColorNegative          ' + ColorToString(MoneyBox3.ColorNegative));
    Listbox1.Items.Add('   ColorPositive          ' + ColorToString(MoneyBox3.ColorPositive));
    Listbox1.Items.Add('   Format                 ' + MoneyBox3.Format);
    Listbox1.Items.Add('   NumericValue           ' + FloatToStr(MoneyBox3.NumericValue));
    Listbox1.Items.Add('   Text                   ' + MoneyBox3.Text);
end;

procedure TForm1.MoneyBox2Change(Sender: TObject);
begin
     MoneyBox3.Text := FloatToStr((MoneyBox1.NumericValue + MoneyBox2.NumericValue));
end;

procedure TForm1.MoneyBox1Change(Sender: TObject);
begin
     MoneyBox3.Text := FloatToStr((MoneyBox1.NumericValue + MoneyBox2.NumericValue));
end;

procedure TForm1.MoneyBox3Change(Sender: TObject);
begin
     Label4.Caption := '';
     Listbox1.Items.Clear;
end;

end.
